
/* where we get news from */
#define NNTPSERVER	"libretto.edu.stockholm.se"
#define NNTP_PORT	119

#define POP3_PORT	110

/* Where the program stores mail and tickets. */
#define SHOHEIDIR	PREFIX "/shohei"
#define SPOOLDIR	SHOHEIDIR "/spool"
#define TICKETDIR	SHOHEIDIR "/tickets"
#define HELPDIR		SHOHEIDIR "/help"
#define MIMEDIR		SHOHEIDIR "/shohei/attachments"
#define MIMEURL		"/shohei/attachments"
#define TEMPLATEDIR	SHOHEIDIR "/templates"

/* base dir in url of images */
#define IMGDIR		"/shohei/img"

/* Internationalization, defaults to Swedish */
#define I18NDIR		SHOHEIDIR "/i18n"
#define LANGUAGE	"sv"


extern void (*shohei_error)(char *);
extern void *cmalloc(size_t);
extern char *dupstring(char *);
extern char *catstrings3(char *, char *, char *);
extern void chomp(char *);
extern int cstrcasecmp(const char *, const char *);
extern int cstrncasecmp(const char *, const char *, size_t);
extern int csnprintf(char *, size_t, const char *, ...);
extern FILE *zopen(char *, char *);
#define _(p) translate(p)
extern char *translate(char *);
extern void i18n(char *);
extern int mon_a2i(char *);
extern char *mon_i2a(int);
extern char *short_date(char *);
extern char *server_lookup(char *);
extern void downcase(char *);
extern void write_data(char *);
extern void read_data(char *);
extern void open_socket(char *, int);
extern void close_socket(void);
extern char *mimename(char *, size_t, char *, char *);
